Package org.drinkless.tdlib

# Class TdApi.AutoDownloadSettings

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.AutoDownloadSettings

Enclosing class:
  `TdApi`

public static class TdApi.AutoDownloadSettings extends TdApi.Object
Contains auto-download settings.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `isAutoDownloadEnabled`
  True, if the auto-download is enabled.
  `long`
  `maxOtherFileSize`
  The maximum size of other file types to be auto-downloaded, in bytes.
  `int`
  `maxPhotoFileSize`
  The maximum size of a photo file to be auto-downloaded, in bytes.
  `long`
  `maxVideoFileSize`
  The maximum size of a video file to be auto-downloaded, in bytes.
  `boolean`
  `preloadLargeVideos`
  True, if the beginning of video files needs to be preloaded for instant playback.
  `boolean`
  `preloadNextAudio`
  True, if the next audio track needs to be preloaded while the user is listening to an audio file.
  `boolean`
  `preloadStories`
  True, if stories needs to be preloaded.
  `boolean`
  `useLessDataForCalls`
  True, if "use less data for calls" option needs to be enabled.
  `int`
  `videoUploadBitrate`
  The maximum suggested bitrate for uploaded videos, in kbit/s.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AutoDownloadSettings()`
  Contains auto-download settings.
  `AutoDownloadSettings(boolean isAutoDownloadEnabled, int maxPhotoFileSize, long maxVideoFileSize, long maxOtherFileSize, int videoUploadBitrate, boolean preloadLargeVideos, boolean preloadNextAudio, boolean preloadStories, boolean useLessDataForCalls)`
  Contains auto-download settings.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### isAutoDownloadEnabled

    public boolean isAutoDownloadEnabled
    True, if the auto-download is enabled.

  - ### maxPhotoFileSize

    public int maxPhotoFileSize
    The maximum size of a photo file to be auto-downloaded, in bytes.

  - ### maxVideoFileSize

    public long maxVideoFileSize
    The maximum size of a video file to be auto-downloaded, in bytes.

  - ### maxOtherFileSize

    public long maxOtherFileSize
    The maximum size of other file types to be auto-downloaded, in bytes.

  - ### videoUploadBitrate

    public int videoUploadBitrate
    The maximum suggested bitrate for uploaded videos, in kbit/s.

  - ### preloadLargeVideos

    public boolean preloadLargeVideos
    True, if the beginning of video files needs to be preloaded for instant playback.

  - ### preloadNextAudio

    public boolean preloadNextAudio
    True, if the next audio track needs to be preloaded while the user is listening to an audio file.

  - ### preloadStories

    public boolean preloadStories
    True, if stories needs to be preloaded.

  - ### useLessDataForCalls

    public boolean useLessDataForCalls
    True, if "use less data for calls" option needs to be enabled.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AutoDownloadSettings

    public AutoDownloadSettings()
    Contains auto-download settings.

  - ### AutoDownloadSettings

    public AutoDownloadSettings(boolean isAutoDownloadEnabled, int maxPhotoFileSize, long maxVideoFileSize, long maxOtherFileSize, int videoUploadBitrate, boolean preloadLargeVideos, boolean preloadNextAudio, boolean preloadStories, boolean useLessDataForCalls)
    Contains auto-download settings.
    Parameters:
      `isAutoDownloadEnabled` - True, if the auto-download is enabled.
      `maxPhotoFileSize` - The maximum size of a photo file to be auto-downloaded, in bytes.
      `maxVideoFileSize` - The maximum size of a video file to be auto-downloaded, in bytes.
      `maxOtherFileSize` - The maximum size of other file types to be auto-downloaded, in bytes.
      `videoUploadBitrate` - The maximum suggested bitrate for uploaded videos, in kbit/s.
      `preloadLargeVideos` - True, if the beginning of video files needs to be preloaded for instant playback.
      `preloadNextAudio` - True, if the next audio track needs to be preloaded while the user is listening to an audio file.
      `preloadStories` - True, if stories needs to be preloaded.
      `useLessDataForCalls` - True, if "use less data for calls" option needs to be enabled.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR